Bug 473679 - Review Request: xfburn - Simple CD/DVD burning tool based on libburnia
Review Request: xfburn - Simple CD/DVD burning tool based on libburnia
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 19:02 EST by Christoph Wickert
Modified: 2009-03-23 11:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-03 22:31:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-11-29 19:02:05 EST
Spec URL: http://cwickert.fedorapeople.org/review/xfburn.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfburn-0.3.91-1.fc11.src.rpm
Description: Xfburn is a simple CD/DVD burning tool based on libburnia libraries. It can 
blank CD-RWs, burn and create iso images, as well as burn personal 
compositions of data to either CD or DVD.
Comment 1 Michael Schwendt 2008-12-03 13:58:35 EST
Fine package. Burnt a CD-RW as a test without any problems. In GNOME.

Only adjustments I could think of:
 * Requiring "hicolor-icon-theme" for the icon hierarchy.
 * Removing the Xfce reference in the summary.
 * Be careful with the --enable-debug option as not to enable anything you may not like. Currently it's okay, though.

APPROVED
Comment 2 Christoph Wickert 2008-12-03 15:24:50 EST
Thanks for the review.

(In reply to comment #1)
> Fine package. Burnt a CD-RW as a test without any problems. In GNOME.
> 
> Only adjustments I could think of:
>  * Requiring "hicolor-icon-theme" for the icon hierarchy.

Xfburn already requires hicolor-icon theme trough gtk2, but I can add it explicitly.

>  * Removing the Xfce reference in the summary.
>  * Be careful with the --enable-debug option as not to enable anything you may
> not like. Currently it's okay, though.

This is actually a relict of debuging a reproducable crash in 3.2. Good catch.

> APPROVED


@Denis: I'd like you to be able to do a rebuild of this package when necessary (soname bump of libburn or libisofs), so I add you as owner.

New Package CVS Request
=======================
Package Name: xfburn
Short Description: Simple CD/DVD burning tool based on libburnia
Owners: cwickert denis
Branches: F-9 F-10
InitialCC:
Comment 3 Kevin Fenzi 2008-12-03 19:40:05 EST
cvs done.
Comment 4 Christoph Wickert 2008-12-03 22:31:44 EST
I have decided not to push this for F10, because the program is still to crashy for the stable release. F-9 does not even meet the buildrequires, so only Rawhide build is available.

Closing.
Comment 5 Denis Leroy 2008-12-05 15:50:09 EST
> @Denis: I'd like you to be able to do a rebuild of this package when necessary
> (soname bump of libburn or libisofs), so I add you as owner.

Christoph, good idea. Thank you.
Comment 6 Fedora Update System 2009-03-22 19:29:41 EDT
xfburn-0.4.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xfburn-0.4.1-1.fc10
Comment 7 Fedora Update System 2009-03-23 11:48:55 EDT
xfburn-0.4.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.